
import java.util.Date
import java.text.SimpleDateFormat

plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    kotlin("kapt")
    id ("kotlin-android")
}

val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.app.input.color.board"
    compileSdk = 36
    defaultConfig {
        applicationId = "com.app.input.color.board"
        minSdk = 24
        targetSdk = 36
        versionCode = 4
        versionName = "1.3"
        setProperty(
            "archivesBaseName",
            "ColorBoard_V" + versionName + "(${versionCode})_$timestamp"
        )
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = "17"
    }
    buildFeatures {
        buildConfig = true
        viewBinding = true
    }


}

dependencies {

    implementation("androidx.core:core-ktx:1.15.0")
    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.13.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.3.0")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.7.0")

    implementation("com.squareup.okhttp3:okhttp:5.3.2")
    implementation("com.github.bumptech.glide:glide:5.0.5")
    implementation ("jp.wasabeef:glide-transformations:4.3.0")
    //Glide支持webp动图的库
    implementation("com.github.zjupure:webpdecoder:2.7.4.16.0")
    implementation("com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.03")

    val room_version = "2.8.4"
    implementation ("androidx.room:room-runtime:$room_version")
    kapt("androidx.room:room-compiler:$room_version")
    implementation ("androidx.room:room-ktx:$room_version")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.10.2")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.10.2")


    implementation(files("libs/TradPlusLibrary_11_25_15_02-release.aar"))
    implementation(files("libs/UpLoadLibrary_11_24_18_30-release.aar"))

    implementation ("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")



    implementation(platform("com.google.firebase:firebase-bom:33.7.0"))
    implementation("com.google.firebase:firebase-crashlytics")
    implementation("com.google.firebase:firebase-analytics")
    implementation("com.google.firebase:firebase-config")


    // TradPlus
    implementation("com.tradplusad:tradplus:14.5.0.1")
    //noinspection GradleCompatible
    implementation("androidx.legacy:legacy-support-v4:1.0.0")
    implementation("androidx.appcompat:appcompat:1.3.0-alpha02")
    // Meta
    implementation("com.facebook.android:audience-network-sdk:6.20.0")
    implementation("com.tradplusad:tradplus-facebook:1.14.5.0.1")
    // Applovin
    implementation("com.applovin:applovin-sdk:13.3.1")
    implementation("com.tradplusad:tradplus-applovin:9.14.5.0.1")
    implementation("com.google.android.gms:play-services-ads-identifier:18.2.0")
    // Ironsource
    implementation("com.ironsource.sdk:mediationsdk:8.10.0")
    implementation("com.tradplusad:tradplus-ironsource:10.14.5.0.1")
    implementation("com.google.android.gms:play-services-appset:16.0.0")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    implementation("com.google.android.gms:play-services-basement:17.5.0")
    // Adcolony
    implementation("com.adcolony:sdk:4.8.0")
    implementation("com.tradplusad:tradplus-adcolony:4.14.5.0.1")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    // Pangle
    implementation("com.tradplusad:tradplus-pangle:19.14.5.0.1")
    implementation("com.pangle.global:pag-sdk:7.3.0.3")
    // UnityAds
    implementation("com.tradplusad:tradplus-unity:5.14.5.0.1")
    implementation("com.unity3d.ads:unity-ads:4.15.1")
    // Chartboost
    implementation("com.tradplusad:tradplus-chartboostx:15.14.5.0.1")
    implementation("com.chartboost:chartboost-sdk:9.8.3")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    implementation("com.google.android.gms:play-services-base:17.4.0")
    // Inmobi
    implementation("com.tradplusad:tradplus-inmobix:23.14.5.0.1")
    implementation("com.inmobi.monetization:inmobi-ads-kotlin:10.8.3")
    implementation("androidx.core:core-ktx:1.5.0")
    implementation("com.inmobi.omsdk:inmobi-omsdk:1.5.2.0")
    // Fyber
    implementation("com.fyber:marketplace-sdk:8.3.7")
    implementation("com.tradplusad:tradplus-fyber:24.14.5.0.1")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    implementation("com.google.android.gms:play-services-base:17.4.0")
    // Start.io
    implementation("com.startapp:inapp-sdk:5.2.3")
    implementation("com.tradplusad:tradplus-startapp:28.14.5.0.1")
    // Mintegral
    implementation("com.tradplusad:tradplus-mintegralx_overseas:18.14.5.0.1")
    implementation("androidx.recyclerview:recyclerview:1.1.0")
    implementation("com.mbridge.msdk.oversea:mbridge_android_sdk:16.9.71")
    // Liftoff
    implementation("com.tradplusad:tradplus-vunglex:7.14.5.0.1")
    implementation("com.vungle:vungle-ads:7.5.0")
    // Yandex
    implementation("com.yandex.android:mobileads:7.13.0") {
        exclude(group = "com.caverock", module = "androidsvg-aar")
    }
    implementation("com.tradplusad:tradplus-yandex:50.14.6.10.1")
    // Bigo
    implementation("com.bigossp:bigo-ads:5.4.0")
    implementation("com.tradplusad:tradplus-bigo:57.14.5.0.1")
    // Cross Promotion
    implementation("com.tradplusad:tradplus-crosspromotion:27.14.5.0.1")
    // TP Exchange
    // 请注意保持与主包版本同步更新
    implementation("com.google.code.gson:gson:2.8.6")
    implementation("com.tradplusad:tp_exchange:40.14.5.0.1")

    // Google UMP
    implementation ("com.google.android.ump:user-messaging-platform:3.2.0")

}